petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRandomSeed

Seed the generator.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSeed(PetscRandom r)

Not collective Many br

### Input Parameters

r - The random number generator context Many br

Many br

### Usage

PetscRandomSetSeed(r,a positive integer); Many brPetscRandomSeed(r); PetscRandomGetValue() will now start with the new seed. Many br

PetscRandomSeed(r) without a call to PetscRandomSetSeed() re-initializes Many brthe seed. The random numbers generated will be the same as before. Many br

### See Also

PetscRandomCreate(), PetscRandomGetSeed(), PetscRandomSetSeed()

Level:intermediate
Location:src/sys/classes/random/interface/randomc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html